Loading...
Searching...
No Matches
draw.c File Reference

GRASS cairo display driver. More...

`#include "cairodriver.h"`
Include dependency graph for cairodriver/draw.c:

Go to the source code of this file.

## Functions

void | Cairo_Begin (void)
void | Cairo_Move (double x, double y)
void | Cairo_Cont (double x, double y)
void | Cairo_Close (void)
void | Cairo_Stroke (void)
void | Cairo_Fill (void)
void | Cairo_Point (double x, double y)

## Detailed Description

GRASS cairo display driver.

(C) 2007-2008 by Lars Ahlzen, Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/draw.c.

## Function Documentation

## Cairo_Begin()

void Cairo_Begin | ( | void |  | ) |

Definition at line 17 of file cairodriver/draw.c.

References cairo.

Referenced by Cairo_Driver().

## Cairo_Close()

void Cairo_Close | ( | void |  | ) |

Definition at line 32 of file cairodriver/draw.c.

References cairo.

Referenced by Cairo_Driver().

## Cairo_Cont()

void Cairo_Cont | ( | double | x,
|  | double | y )

Definition at line 27 of file cairodriver/draw.c.

References cairo, and x.

Referenced by Cairo_Driver().

## Cairo_Fill()

void Cairo_Fill | ( | void |  | ) |

Definition at line 43 of file cairodriver/draw.c.

References ca, and cairo.

Referenced by Cairo_Driver().

## Cairo_Move()

void Cairo_Move | ( | double | x,
|  | double | y )

Definition at line 22 of file cairodriver/draw.c.

References cairo, and x.

Referenced by Cairo_Driver().

## Cairo_Point()

void Cairo_Point | ( | double | x,
|  | double | y )

Definition at line 49 of file cairodriver/draw.c.

References ca, cairo, and x.

Referenced by Cairo_Driver().

## Cairo_Stroke()

void Cairo_Stroke | ( | void |  | ) |

Definition at line 37 of file cairodriver/draw.c.

References ca, and cairo.

Referenced by Cairo_Driver().